# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class StartNodeDescription(Model):
    """Describes the parameter for starting a stopped Service Fabric node.

    :param node_instance_id: The instance id of the node that is stopped. If
     instance id is specified the node is started only if it matches with the
     current instance of the stopped node. A default value of "0" would match
     any instance id. The instance id can be obtained using get node query.
     Default value: "0" .
    :type node_instance_id: str
    """ 

    _validation = {
        'node_instance_id': {'required': True},
    }

    _attribute_map = {
        'node_instance_id': {'key': 'NodeInstanceId', 'type': 'str'},
    }

    def __init__(self, node_instance_id="0"):
        self.node_instance_id = node_instance_id
